* {
    margin: 0;
    padding: 0;
    font-family: 'Poppins', sans-serif;
    box-sizing: border-box;
    font-family: 'Quicksand', sans-serif;
}

.container-main {
    
    width: 100%;
    height: 1310px;
    min-height: 120vh;
    background: #d0eaff;
    display: flex;
    align-items: center;
    justify-content: center;
    background-image: url("https://owndesign.creacionesjyb.com/images/65.jpg");
}

.product {
    width: 1100px;
    height: 1100px;
    display: flex;
}

.gallery-main {
    flex-basis: 47%;
    width: 594px;
    height: 890px;
    background: #241e20;
    transform: scale(1.08);
    box-shadow: -10px 5px 10px 10px rgba(0, 0, 0, 0.6);
    position: relative;
}

.gallery-main .img-logo {
    position: relative;
    width: 550px;

}

.gallery-main .box-to-move-logo {
    position: relative;
    width: 550px;
    display: grid;
    padding-top: 180px;
    padding-left: 75px;
    padding-right: 25px;
    padding-bottom: 12px;
    height: 640px;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
    grid-template-rows: 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr ;
}

.gallery-main .box-to-move-logo .item {
    /* width: 30px;
    height: 30px; 
    background: #555; */

}

/*.gallery-main .box-to-move-logo .item:nth-child(2n + 1) {
    background: cyan;
    }*/

.gallery-main .box-to-move-logo .item:nth-child(1) {
    grid-column: 1/2;
}

.gallery-main .box-to-move-logo .item:nth-child(2) {
    grid-column: 2/3;
    grid-row: 2/3;
}

.gallery-main .box-to-move-logo .item:nth-child(3) {
    grid-column: 3/4;
    grid-row: 3/4;
}

.gallery-main .box-to-move-logo .img-result-product {
    width: 100px;

}

.gallery-main .img-1 {
    right: 0px;
    position: absolute;
    z-index: -1;
    width: 550px;
}

.gallery-main .img-client {
    position: absolute;
    width: 100px;
    display: block;
    margin-left: 170px;
    margin-top: 40px;
    padding-top: 100px;
    z-index: 1;
}

.details {
    flex-basis: 53%;
    background: #fff;
    padding: 40px;
    padding-left: 90px;
    box-shadow: -10px 5px 10px 10px rgba(0, 0, 0, 0.6);
    font-size: 13px;
    font-weight: 500;
    color: #777;
    display: inline-table;

}

.details h1 {
    color: #333;
    font-size: 35px;
    text-align: center;

}

.details h2 {
    color: #555;
    font-size: 30px;
    font-weight: 600;
}

.details h3 {
    color: #00d874;
    margin-bottom: 30px;
}

.details form {
    font-size: 15px;
    font-weight: 400;
}

.type-select p {
    text-align: center;
}

.type-select button {
    padding: 0;
    margin-top: auto;
    cursor: pointer;
    background-position: center;
    background: none;
    border-radius: 5px;
    border: none;
    text-align: center;
    outline: none;
    margin-left: 5px;
    font-size: 0.7em;
    transition: all .3s ease-in-out;
    box-shadow: 0 10px 10px rgba(85, 63, 240, 0.25);
}

.buttons {
    position: relative;
    top: 50%;
    min-width: 250px;
    margin-top: 40px;
    margin-right: 3px;
    display: flex;
    justify-content: flex-end;
    align-items: end;
    flex-direction: row-reverse;
}

.buttons .item-type {
    width: 58px;
    height: 50px;
}

.buttons img {
    padding: 0;
    width: 50px;
    cursor: pointer;
    border-radius: 5px;
    text-align: center;
    transition: all .3s ease-in-out;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, .8);

}

.buttons button:hover {
    box-shadow: 0 0 10px #171EB9;
    color: #171EB9;
}

.model-select {
    display: flex;
    align-items: center;
    margin-top: 20px;
}

.model-select p {
    width: 85px;
}

.model-select input:checked+span {
    color: blue;
    font-weight: 600;
}

.model-select input {
    display: none;
}

.model-select span {
    padding: 1px;
    margin-right: 10px;
    cursor: pointer;

}

.model-select-d {
    margin-left: 20px;
}

.model-select-gener {
    display: flex;
    align-items: center;
    margin-top: 20px;
}

.model-select-gener input {
    display: none;
}

.model-select-gener img {
    width: 40px;
    height: 40px;
}

.model-select-gener span {
    padding: 5px;
    margin-right: 10px;
    cursor: pointer;
}

.model-select-gener input:checked+span {
    color: blue;
    font-weight: 600;
}

/*.model-select-gener-d {
    margin-left: 60px;
    }*/

.size-select {
    display: flex;
    margin-top: 5px;
}

.size-select .content-size-select {
    margin-left: 2px;
    position: relative;
    display: flex;

}

.size-select .item-size-select {
    width: 58px;
    height: 50px;
}

.size-select p {
    width: 85px;
    margin-top: 10px;
}

.size-select input:checked+h2 {
    color: blue;
    font-weight: 600;

}

.size-select input {
    display: none;
}

.size-select h2 {
    padding: 5px;
    margin-right: 10px;
    cursor: pointer;
}

.color-select {
    display: flex;
    align-items: center;
    margin-top: 20px;
}

.color-select .content-color-select {
    margin-left: 5px;
    position: relative;
    display: flex;
}

.color-select .content-color-select .item-color-select {
    width: 40px;
    height: 40px;
}

.color-select p {
    width: 85px;
}

.color-select button {
    display: inline-block;
    width: 20px;
    height: 20px;
    margin-right: 15px;
    margin-top: auto;
    cursor: pointer;
}

.color-select button:focus {
    border-color: #553ff0;
    border-width: 5px;
    
}

.color-1 {
    background: red;
}

.color-2 {
    background: green;
}

.color-3 {
    background: blue;
}

.color-4 {
    background: pink;
}



.color-select input:checked+span {
    transform: scale(0.7);
    box-shadow: 0 0 0 4px #fff, 0 0 0 4px #000;
}

.quantity-select {
    display: flex;
    align-items: center;
    margin-top: 20px;
}

.content-quantity-select {
    margin-left: 5px;
}

.quantity-select p {
    width: 85px;
}

.quantity-select input {
    background: #eee;
    border: 0;
    outline: 0;
    padding: 2px 2px 2px 15px;
    width: 70px;
    border-radius: 12px;
}

.imagen-size {
    display: flex;
    align-items: center;
    margin-top: 5px;

}

.imagen-size p {
    width: 80px;
}

.imagen-size h6 {
    margin-left: 15px;
}

.imagen-size-content input {
    display: none;
}

.imagen-size-content label {
    background: #553ff0;
    display: inline-block;
    width: 60px;
    height: 40px;
    border-radius: 30%;
    margin-right: 0.1px;
    margin-left: 10px;
    margin-top: auto;
    cursor: pointer;
    --bs-btn-padding-y: .25rem;
    --bs-btn-padding-x: .5rem;
    --bs-btn-font-size: .75rem;
}

.imagen-size-content input:active {
    color: blue;
}

.image-select {
    display: flex;
    align-items: center;
    margin-top: 5px;
}



.image-select p {
    width: 85px;
}

.size-box img {
    margin-top: 20px;
    width: 300px;

}

.form-file_action {
    display: flex;
    align-items: center;
    margin-top: 20px;
}

.form-file_action input {
    width: 0;
    height: 0;
    opacity: 0;
    display: none;
}

.form-file_result {
    display: flex;
    align-items: center;
    margin-top: 20px;
    cursor: pointer;
    overflow: hidden;
    position: relative;
    width: 150px;
    height: 90px;
    background-color: #f2f0f0;
    border-radius: 8px;
    border: 1px dashed #609dd6;
    transition: bacgroundColor 0.3s linear;
    z-index: 10;
}

.form-file_result .img-result {
    margin-left: 10px;
}

.form-file_result--active {
    background-color: rgba(82, 81, 79, 0.314);
}




.req button {
    background: #553ff0;
    color: #fff;
    font-size: 17px;
    width: 100%;
    height: 45px;
    padding: 10px;
    border-radius: 30px;
    border: 0;
    outline: 0;
    margin-top: 50px;
    box-shadow: 0 10px 10px rgba(85, 63, 240, 0.25);
    cursor: pointer;
}

.controls {
    position: absolute;
    bottom: 40px;
    right: 20px;
}

.btn {
    display: block;
    width: 10px;
    height: 10px;
    border-radius: 50%;
    background: rgba(255, 255, 255, 0.5);
    margin: 10px;
    cursor: pointer;
}

.active {
    background: #553ff0;
}



.panel {
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 100%;
    transition: transform 300ms;
    z-index: 1;
}

.panel div {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background: beige;
    width: 400px;
    height: 400px;
    z-index: 1000;
}

.panel[data-on='on'] {
    transform: scale(1);
}

.panel[data-on='off'] {
    transform: scale(0);
}

.info-form {
    display: flex;
    flex-direction: column;
}

.info-form input {
    width: 230px;
    border: 0;;
    background: #f2f1f1;
    height: 32px;
    margin-left: 5px;
    
}